.navBarAdmin {
    background: linear-gradient(195deg, rgb(66, 66, 74), rgb(25, 25, 25));
    width: 250px;
    left: 0px;
    margin-bottom: inherit;
    box-shadow: rgb(0 0 0 / 5%) 0rem 1.25rem 1.6875rem 0rem;
    transform: translateX(0px);
    transition: width 225ms cubic-bezier(0.4, 0, 0.6, 1) 0ms, background-color 225ms cubic-bezier(0.4, 0, 0.6, 1) 0ms;
    border: none;
    color: rgba(0, 0, 0, 0.87);
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    flex: 1 0 auto;
    z-index: 1200;
    position: fixed;
    top: 0px;
    outline: 0px;
    height: calc(100vh - 2rem);
    margin: 1rem;
    border-radius: 0.75rem;
    padding: 0px;
    box-sizing: inherit;
}

.adminButton {
    text-decoration: none !important;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    opacity: 1;
    background: transparent;
    color: rgb(52, 71, 103);
    box-shadow: none;
    margin: 0px;
    padding: 0px;
    text-align: center;
    .adminButtonText {
        margin: 0px;
        font-family: Roboto, Helvetica, Arial, sans-serif;
        font-size: 0.875rem;
        line-height: 1.5;
        letter-spacing: 0.02857em;
        opacity: 1;
        text-transform: none;
        vertical-align: unset;
        text-decoration: none;
        color: rgb(255, 255, 255);
        font-weight: 600;
        padding-left: 15px;
    }
    .adminButtonIcon {
        width: 2rem;
        opacity: 1;
        background: transparent;
        color: white;
        box-shadow: none;
        height: 32px;
    }
}

.adminTitre {
    padding: 24px 32px 8px;
    text-align: center;
    opacity: 1;
    background: transparent;
    box-shadow: none;
}

.hrAdmin {
    flex-shrink: 0;
    border-top: 0px solid rgba(0, 0, 0, 0.08);
    border-right: 0px solid rgba(0, 0, 0, 0.08);
    border-left: 0px solid rgba(0, 0, 0, 0.08);
    height: 0.0625rem;
    margin: 1rem 0px;
    border-bottom: none;
    opacity: 0.25;
    background-color: transparent;
    background-image: linear-gradient(
        to right,
        rgba(255, 255, 255, 0),
        rgb(255, 255, 255),
        rgba(255, 255, 255, 0)
    ) !important;
}

.menuListAdmin {
    list-style: none;
    margin: 0px;
    padding: 0px;
    position: relative;
    a {
        text-decoration: none !important;
    }
}

.menuListAdminItem {
    display: flex;
    -webkit-box-pack: start;
    justify-content: flex-start;
    -webkit-box-align: center;
    align-items: center;
    position: relative;
    text-decoration: none;
    width: 100%;
    box-sizing: border-box;
    text-align: left;
    padding-top: 0px;
    padding-bottom: 0px;
    color: rgb(255, 255, 255);
    height: 51px;
}

.menuListAdminItemDiv {
    opacity: 1;
    background: transparent;
    color: rgb(255, 255, 255);
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    width: 100%;
    padding: 0.5rem 0.625rem;
    margin: 0.09375rem 1rem;
    border-radius: 0.375rem;
    cursor: pointer;
    user-select: none;
    white-space: nowrap;
    box-shadow: none;
}
.menuListAdminItemText {
    transition: opacity 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, margin 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    opacity: 1;
    max-width: 100%;
    margin-left: 0.625rem;
    span {
        font-weight: 400;
        font-size: 0.875rem;
        line-height: 0;
        vertical-align: sub;
    }
}

.menuListAdminItemIcon {
    flex-shrink: 0;
    min-width: 2rem;
    min-height: 2rem;
    color: rgb(255, 255, 255);
    border-radius: 0.375rem;
    display: grid;
    place-items: center;
    transition: margin 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.active {
    opacity: 1;
    background: linear-gradient(195deg, rgb(73, 163, 241), rgb(26, 115, 232));
    color: rgb(255, 255, 255);
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    width: 100%;
    padding: 0.5rem 0.625rem;
    margin: 0.09375rem 1rem;
    border-radius: 0.375rem;
    cursor: pointer;
    user-select: none;
    white-space: nowrap;
    box-shadow: rgb(0 0 0 / 10%) 0rem 0.25rem 0.375rem -0.0625rem, rgb(0 0 0 / 6%) 0rem 0.125rem 0.25rem -0.0625rem;
}

.adminCloseIcon {
    position: absolute;
    top: 0px;
    right: 0px;
    padding: 13px;
    opacity: 1;
    background: transparent;
    color: rgb(123, 128, 154);
    box-shadow: none;
    cursor: pointer;
}

#disactive {
    transform: translateX(-20rem);
    transition: transform 200ms cubic-bezier(0.4, 0, 0.6, 1) 0ms;
}
